Document Templates

Download the template file

GET/document-templates/{id}/download

Streams the raw template file (PDF or DOCX) as an attachment.

Path parameters

  • idstring (uuid)Required#

    The record's id.

Responses

200

The template file binary.

401

Authentication failed. error.code is one of invalid_token, expired, revoked.

Error
403

Authorization failed. error.code is one of org_disabled, ip_blocked, missing_scope, scope_disabled, user_disabled.

Error
404

Resource not found (error.code = not_found).

Error
429

Rate limit exceeded (error.code = rate_limited).

Error

Examples

curl https://your-org-domain/kong/core/api/v2/document-templates/{id}/download\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"